Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page

# bit_aligned_image1_type Struct Template Reference
[packed_image_type,bit_aligned_image_type]

`#include <metafunctions.hpp>`

Inheritance diagram for bit_aligned_image1_type:

List of all members.

## Detailed Description

### template<unsigned Size1, typename Layout, typename Alloc = std::allocator<unsigned char>>
struct boost::gil::bit_aligned_image1_type< Size1, Layout, Alloc >

Returns the type of a single-channel bit-aligned image given the bit size of its channel and its layout.

The documentation for this struct was generated from the following file:

- metafunctions.hpp